Package org.jbpm.kie.services.impl

## Class AdvanceRuntimeDataServiceImpl

- java.lang.Object
- - org.jbpm.kie.services.impl.AbstractAdvanceRuntimeDataServiceImpl
  - - org.jbpm.kie.services.impl.AdvanceRuntimeDataServiceImpl

- All Implemented Interfaces:
    `AdvanceRuntimeDataService`

      public class AdvanceRuntimeDataServiceImpl
      extends AbstractAdvanceRuntimeDataServiceImpl
      implements AdvanceRuntimeDataService

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.jbpm.kie.services.impl.AbstractAdvanceRuntimeDataServiceImpl

      `AbstractAdvanceRuntimeDataServiceImpl.ProcessComparator, AbstractAdvanceRuntimeDataServiceImpl.TaskComparator`

  - ### Field Summary

    - ### Fields inherited from interface org.jbpm.services.api.AdvanceRuntimeDataService

      `PROCESS_ATTR_CORRELATION_KEY, PROCESS_ATTR_DEFINITION_ID, PROCESS_ATTR_DEPLOYMENT_ID, PROCESS_ATTR_INSTANCE_ID, PROCESS_COLLECTION_VARIABLES, TASK_ATTR_NAME, TASK_ATTR_OWNER, TASK_ATTR_STATUS`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `AdvanceRuntimeDataServiceImpl()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `List<ProcessInstanceWithVarsDesc>` | `queryProcessByVariables​(List<QueryParam> attributes, List<QueryParam> processVariables, org.kie.api.runtime.query.QueryContext queryContext)` |
    `List<ProcessInstanceWithVarsDesc>` | `queryProcessByVariablesAndTask​(List<QueryParam> attributes, List<QueryParam> processVariables, List<QueryParam> taskVariables, List<String> owners, org.kie.api.runtime.query.QueryContext queryContext)` |
    `List<ProcessInstanceWithVarsDesc>` | `queryProcessByVariablesAndTask​(List<QueryParam> attributes, List<QueryParam> processVariables, List<QueryParam> taskVariables, QueryParam owners, org.kie.api.runtime.query.QueryContext queryContext)` |
    `List<UserTaskInstanceWithPotOwnerDesc>` | `queryUserTasksByVariables​(List<QueryParam> attributes, List<QueryParam> taskVariables, List<QueryParam> processVariables, List<String> owners, org.kie.api.runtime.query.QueryContext queryContext)` |
    `List<UserTaskInstanceWithPotOwnerDesc>` | `queryUserTasksByVariables​(List<QueryParam> attributes, List<QueryParam> taskVariables, List<QueryParam> processVariables, QueryParam owners, org.kie.api.runtime.query.QueryContext queryContext)` |

    - ### Methods inherited from class org.jbpm.kie.services.impl.AbstractAdvanceRuntimeDataServiceImpl

      `getSelectFields, queryProcessByVariables, queryProcessByVariablesAndTask, queryProcessByVariablesAndTask, queryProcessUserTasksByVariables, queryUserTasksByVariables, queryUserTasksByVariables, setCommandService, setEmf, translate`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AdvanceRuntimeDataServiceImpl

          public AdvanceRuntimeDataServiceImpl()

  - ### Method Detail

    - #### queryProcessByVariables

          public List<ProcessInstanceWithVarsDesc> queryProcessByVariables​(List<QueryParam> attributes,
                                                                           List<QueryParam> processVariables,
                                                                           org.kie.api.runtime.query.QueryContext queryContext)

      Specified by:
        `queryProcessByVariables` in interface `AdvanceRuntimeDataService`

    - #### queryProcessByVariablesAndTask

          public List<ProcessInstanceWithVarsDesc> queryProcessByVariablesAndTask​(List<QueryParam> attributes,
                                                                                  List<QueryParam> processVariables,
                                                                                  List<QueryParam> taskVariables,
                                                                                  List<String> owners,
                                                                                  org.kie.api.runtime.query.QueryContext queryContext)

      Specified by:
        `queryProcessByVariablesAndTask` in interface `AdvanceRuntimeDataService`

    - #### queryProcessByVariablesAndTask

          public List<ProcessInstanceWithVarsDesc> queryProcessByVariablesAndTask​(List<QueryParam> attributes,
                                                                                  List<QueryParam> processVariables,
                                                                                  List<QueryParam> taskVariables,
                                                                                  QueryParam owners,
                                                                                  org.kie.api.runtime.query.QueryContext queryContext)

      Specified by:
        `queryProcessByVariablesAndTask` in interface `AdvanceRuntimeDataService`

    - #### queryUserTasksByVariables

          public List<UserTaskInstanceWithPotOwnerDesc> queryUserTasksByVariables​(List<QueryParam> attributes,
                                                                                  List<QueryParam> taskVariables,
                                                                                  List<QueryParam> processVariables,
                                                                                  List<String> owners,
                                                                                  org.kie.api.runtime.query.QueryContext queryContext)

      Specified by:
        `queryUserTasksByVariables` in interface `AdvanceRuntimeDataService`

    - #### queryUserTasksByVariables

          public List<UserTaskInstanceWithPotOwnerDesc> queryUserTasksByVariables​(List<QueryParam> attributes,
                                                                                  List<QueryParam> taskVariables,
                                                                                  List<QueryParam> processVariables,
                                                                                  QueryParam owners,
                                                                                  org.kie.api.runtime.query.QueryContext queryContext)

      Specified by:
        `queryUserTasksByVariables` in interface `AdvanceRuntimeDataService`